
%global meadversion 6.0.0
%global namedversion 6.0.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jakarta-servlet-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 6.0.0.redhat-00001

Name:           %{?scl_prefix}jakarta-servlet-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jakarta Servlet API
Group:          Development/Java

%if %with mead
Source100: jakarta.servlet-api-6.0.0.redhat-00001-project-sources.tar.gz
Source102: jakarta.servlet-api-6.0.0.redhat-00001-sources.jar
Source103: jakarta.servlet-api-6.0.0.redhat-00001-javadoc.jar
Source104: jakarta.servlet-api-6.0.0.redhat-00001.pom
Source105: jakarta.servlet-api-6.0.0.redhat-00001.jar
%endif

License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://projects.eclipse.org/projects/ee4j.servlet
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jakarta-servlet-api-%{namedversion}-%{release}-root

%description
Jakarta Servlet API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jakarta-servlet-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jakarta.servlet-api-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.servlet-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.servlet-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.servlet-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.servlet-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.servlet-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.servlet-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta-servlet-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.servlet-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta.servlet-api-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta-servlet-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-servlet-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jakarta-servlet-api
%defattr(0644,root,root,0755)
%doc build.metadata
%{_javadir}/jakarta.servlet-api-%{namedversion}.jar
%{_javadir}/jakarta.servlet-api.jar
%if %with javadoc
%{_javadir}/jakarta.servlet-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.servlet-api-javadoc.jar
%endif
%{_javadir}/jakarta.servlet-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.servlet-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta-servlet-api-%{namedversion}
%{_javadocdir}/jakarta-servlet-api
%endif

%changelog
* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 6.0.0-2.redhat_00001.1
- Built by CPaaS

* Fri Sep 23 2022 Yong Yang <yyang@redhat.com> - 6.0.0-1.redhat_00001.1
- 6.0.0.redhat-00001

* Fri Sep 16 2022 Yong Yang <yyang@redhat.com> - 6.0.0-1.redhat_00001.1
- 6.0.0.redhat-00001
